:: ---- LCBUAINO.BAT -----------------------------
@ECHO OFF & SetLocal EnableDelayedExpansion & CLS
REM --- LCBUAINO.BAT -----------------------------
ECHO ==== Lindnercom Back-Up %0 ============
ECHO ==== Version 28.03.2006 - 18:03 =======
REM ---------------------------------------------------------- 
REM Der Parameter 'bksource' beschreibt den Ort der BKS-Files:
SET bksource=C:\@LCBackup\BKSFiles
REM ----------------------------------------------------------
REM Der Parameter 'stattext' beschreibt die LOG-Datei: 
IF NOT DEFINED stattext SET stattext=C:\@LCBackup\LCBUERRL.TXT
:: -----------------------------------------------------------
SET dircmd=/OGNE
:: -----------------------------------------------------------
ECHO %0 - %date% - %time% > %stattext% 
:: -----------------------------------------------------------
CALL C:\@LCBackup\LCBUWAIT.BAT 
:: ...........................
ECHO. >> %stattext%
REM Sichere Laufwerke / Verzeichnisse mittels NTBACKUP
REM --------------------------------------------------------- 
REM In dieser Version ALL_IN_ONE MUSS das Sicherungs-Objekt 
REM in Form der Variablen 'mainpara' von der vorgeschalteten 
REM Batchdatei als BATCH-Parameter %1 eingegeben werden.
REM .........................................................
REM Dieser General-Parameter %mainpara% gilt 
REM sowohl fuer das BKS-File, als auch
REM als Attribut beim Auftrags-Namen sowie beim Zielfile !
REM ---------------------------------------------------------
SET mainpara=%1
:: ..............
REM Die spaetere Konservierung des Status-Files 'LCBUERRL.TXT' 
REM durch "LCLOGTYP.BAT" wird derart geregelt, dass 
REM die Variable %statkons% 
REM dem Batchfile 'LCLOGTYP.BAT' als Parameter #1 mitgeteilt wird.
rem -------------------------------------------------------------
SET statkons=JAWOHL
rem SET statkons=NEIN
REM ------------------------------------------------------------- 

REM ------- START ----------------------------------- 
ECHO Kontrolliere Gueltigkeit der Parameter
ECHO %bksource% UND %mainpara%:
REM Falls NICHT OK, gehe zu :FILENEXI
:: ..................................................
IF NOT EXIST %bksource%\%mainpara%.BKS GOTO FILENEXI
:: ... sonst mach weiter!
:: ..................................................

:: --------------------------------------------------------
REM Bereite Batch-Prozedur im Verzeichnis C:\@LCBackup vor:
C:
CD \@LCBackup

REM -----------------------------------------
REM Erweitere DOS-Pfad - auch auf WP-Editor:
PATH=%path%;C:\;C:\@LCBaCKUP;E:\laoffice
REM ----------------------------------------- 

REM -------- Verwalte Sicherungs-Ziele: -------------------
ECHO Generiere Variable 'Sicherungs-Ziel'... >> %stattext%
ECHO rufe LCBUZIEL.BAT >> %stattext% 
ECHO. >> %stattext%

REM ------- xxxx --------------
CALL C:\@LCBackup\LCBUZIEL.BAT
C:
CD \@LCBackup
FOR /f "tokens=1" %%i IN (SICHZIEL.TMP) DO SET sichziel=%%i
FOR /f "tokens=1" %%i IN (ZIELSTAT.TMP) DO SET zielstat=%%i

ECHO. >> %stattext%
echo %0 >> %stattext%
ECHO ZIELVERWALTUNG ABGESCHLOSSEN! >> %stattext% 
ECHO ZIELSTAT: %zielstat% >> %stattext%
ECHO. >> %stattext%

IF "%zielstat%"=="zielisok" GOTO :weiterso
GOTO :zielnexi

:: ----------------------------------------------- 
:WEITERSO
echo weiterso
echo %0 >> %stattext%
ECHO  ... nach Beendigung 'Zielverwaltung' .. >> %stattext%
ECHO Ziel-Status: %zielstat% >> %stattext%
ECHO. >> %stattext%

:: ........................... 
CALL C:\@LCBackup\LCBUWAIT.BAT
:: ...........................

:: ========================================================
ECHO ========================= >> %stattext%
ECHO Entferne alte NTBACKUP-Log-Files >> %stattext% 
ECHO. >> %stattext%
:: --------------------------
CALL C:\@LCBackup\LCDELLOG.BAT
:: ----------------------------
ECHO Alte Log-Files ERLEDIGT! >> %stattext% 
ECHO. >> %stattext%

:: ...........................
CALL C:\@LCBackup\LCBUWAIT.BAT
:: ...........................

ECHO ==== NTBACKUP - HAUPTBEFEHL ======= >> %stattext% 
ECHO ==== Parameter %mainpara%  ======== >> %stattext%
ECHO. >> %stattext%

:: ............................
CALL C:\@LCBackup\LCBUWAIT.BAT
:: ... xxx ....................

REM Hauptbefehl ausgeschrieben:
REM NTBACKUP BACKUP "@C:\@LCBackup\BKSFiles\%mainpara%.BKS" /J "%mainpara%" /F "%sichziel%\%mainpara%.BKF" /L:f

REM Hauptbefehl PARAMETRIERT: 
REM Logformat KURZ /SHORT (Parameter L:/s)
:: ........................................
NTBACKUP BACKUP "@%bksource%\%mainpara%.BKS" /J "%mainpara%" /F "%sichziel%\%mainpara%.BKF" /L:f
:: .......................................

REM ---------------------------------------------------------------- 
ECHO ==== NTBACKUP-Hauptbefehl geschlossen ========  >> %stattext% 
ECHO.  >> %stattext%
:: ............................
CALL C:\@LCBackup\LCBUWAIT.BAT
:: ............................

REM Prozedur "Schreibe neues Logfile UM, kopiere es ins Sicherungsziel."
REM LCLOGTYP.BAT wird mit Parameter "NEIN" oder "JAWOHL" aufgerufen, 
REM um Konservierung des Statusfiles zu steuern:

ECHO ==== %0 setzt Prootkolleintraege nach Hauptbefehl fort ==== >> %stattext%
ECHO. >> %stattext%
ECHO %0 startet LCLOGTYP mit statkons: %statkons% >> %stattext%
ECHO. >> %stattext%

:: ............................ 
CALL C:\@LCBackup\LCLOGTYP.BAT
:: ............................

ECHO. >> %stattext%
ECHO Prozedur LCLOGTYP beendet >> %stattext%
ECHO. >> %stattext%

:: ............................
REM "warten!"
CALL C:\@LCBackup\LCBUWAIT.BAT
:: ............................

REM --------------------------------------------------------------
GOTO ENDESTOP

REM --------------------------------------------------------------
:FILENEXI
echo filenexi
ECHO Der angegebene Parameter '1' ist anscheinend fehlerhaft:
ECHO [ %1 ]
ECHO (wahrscheinlich existiert solch ein BKS-File nicht!)
ECHO.
ECHO Siehe Vorrat an BKS-Files:
ECHO.
DIR %bksource%\*.bks /b /ON
ECHO.
ECHO Bitte erneut mit ZUTREFFENDEM PARAMETER versuchen,
ECHO im Bedarfsfall neues BKS-File anlegen!
ECHO.
PAUSE > NUL
GOTO ENDESTOP

:: -------------------------------------------------
:ZIELNEXI
echo zielnexi
ECHO ZIELVERWALTUNG ist FEHLGESCHLAGEN!
ECHO.
ECHO Bitte Ziellaufwerke sowie deren Registrierung kontrollieren ...
ECHO.
ECHO ... dann erneut versuchen! 
ECHO (%date% - %time%)
PAUSE > NUL
:: .................................................

:ENDESTOP
echo. >> %stattext% 
ECHO ==== Ende der Haupt-Prozedur %0 >> %stattext%

echo.  >> %stattext%
ECHO ==== ENDE der Eintraege durch %0 ======== >> %stattext%
ECHO. >> %stattext%

echo Sichere die Variable 'sichziel' fr LCBUFIND.BAT >> %stattext%
ECHO in die Textdatei C:\@LCBackup\sichziel.TXT >> %stattext%
ECHO %sichziel% > C:\@LCBackup\sichziel.TXT
ECHO. >> %stattext%

ECHO ==== Rufe die Prozedur XX.BAT (DOS verlassen) ====== >> %stattext%
rem CD \
REM CALL C:\XX.BAT



ECHO. >> %stattext%
ECHO ==== ENDE der Prozedur %0 ======== >> %stattext%

:totalend



REM -------------------------------
REM 		ENDE LCBUAINO.BAT
REM ===============================
