:: ====================================================
@ECHO OFF & SetLocal EnableDelayedExpansion & CLS
REM -------------------------------------------------- 
REM Parent: Lindnercom Back-Up
REM --------------------------------------------------
REM LCLOGTYP.BAT - Version 29.03.2006 - 17:44

REM ========================================= 
ECHO ==== %0: Kopiere LOG-Dateien ....   
ECHO.
:: ---------------------------------------------------
:: Initialisere 'stattext', falls LCLOGTYP NICHT vom 
:: ueblichen TRIGGER-Batch gestartet wird:
:: ................................................... 
IF NOT DEFINED stattext SET stattext=C:\@LCBackup\LCBUERRL.TXT
echo %stattext%
echo.
:: ............................................................
REM "Warten!"
rem CALL LCBUWAIT.BAT

:: ==== ANFANG 'MAINPROC'=================================== 
:mainproc

:: ---- Rufe SUB "Datums- und Zeit-Formate" 
CALL :dzformat
rem echo %datstamp%
rem pause
:: ------------------------------------------
ECHO %0: Kopieren von LOG-Dateien >> %stattext%   
ECHO. >> %stattext%

REM Kopiere LOG-Datei aus dem Systemverzeichnis nach C:\@LCBackup,
REM lege sie dort - ihrem Charakter entsprechend - im Office-Format '.DOC' ab.
REM KOPIERE neue Protokolldatei dann zum soeben 
REM entstandenen GLEICHNAMIGEN BACKUP-FILE ins Sicherungsziel.
REM --------------------------------------------------------------------

REM -------- Konservierung des Statusfiles 'LCBUERRL-TXT' --------------
REM (LCLOGTYP.BAT sollte mit Parameter %1 gestartet worden sein!)
SET statfile=%1

rem TEST-HILFE
rem echo Eingangstest (1) in LCLOGTYP: %1
rem echo Eingangstest (statfile) in LCLOGTYP: %statfile%
rem pause > nul

IF [%statfile%]==[] SET statfile=JAWOHL

REM ------- Kopierziel fuer den Status-Text: -----------
REM SET stattext ... C:\@LCBACKUP\LCBUERRL.TXT
rem ----------------------------------------------------

ECHO. >> %stattext%
ECHO Hole LOG-Dateien aus Systemverzeichnis >> %stattext% 
echo nach C:\@LCBackup >> %stattext%
ECHO lege sie dort - ihrem Charakter entsprechend - >> %stattext% 
ECHO im Office-Format '.DOC' ab. >> %stattext%
ECHO. >> %stattext%
REM "Warten!"
CALL LCBUWAIT.BAT

:: =========================================================
REM Zum Verzeichniswechsel und zwecks leichter Portierbarkeit: 
:: Benutze SYSTEMVARIABLE %userprofile%:
:: %userprofile% == C:\Dokumente und Einstellungen\<username> 
:: USERPROFILE=C:\Dokumente und Einstellungen\JLindner
:: SO setzt sich das Verzeichnis zusammen:
:: ----------------------------------------
:: C:\Dokumente und Einstellungen\JLindner\
:: (%userprofile%)
:: --------------------
:: Lokale Einstellungen
:: (%lokeinst%)
:: --------------------------------------------------- 
:: \Anwendungsdaten\Microsoft\Windows NT\NTBackup\data 
:: (%ntbadata%)
:: ----------------------------------------------------
SET lokeinst=Lokale Einstellungen
SET ntbadata=Anwendungsdaten\Microsoft\Windows NT\NTBackup\data
:: .............................................
SET ntbaverz=%userprofile%\%lokeinst%\%ntbadata%

CD %ntbaverz%

REM Kopiere NEU entstandene Protokoll-Datei als DOC-Datei 
REM UND unter Namen des Haupt-Parameters ins Arbeitsverzeichnis:
 
IF EXIST ba*.LOG COPY ba*.LOG C:\@LCBackup\%mainpara%*.DOC
IF EXIST ba*.DOC DEL ba*.DOC 

REM ======================================================

ECHO. >> %stattext%
ECHO. %0: - %time% >> %stattext%
ECHO ==== Status-Protokoll 'LCBUERRL.TXT' (Teil 2) ==== >> %stattext%
ECHO. >> %stattext%

ECHO ==== START des Protokoll-Eintrags durch %0 ====	>> %stattext%
ECHO Kopiere NT-LOG-File als DOC-Format ins Arbeits-Verzeichnis! >> %stattext%
ECHO. >> %stattext%

REM Gehe ins Arbeitsverzeichnis UND KOPIERE neue Protokolldatei zum soeben 
REM entstandenen GLEICHNAMIGEN BACKUP-FILE ins Sicherungsziel:

CD \@LCBackup
IF EXIST *.DOC COPY *.DOC %sichziel% > NUL

REM ----- Protokoll-Eintrag nach Vollzug --------------------------- 
ECHO DOC-File ins Sicherungs-Ziel '%sichziel%' kopiert >> %stattext%
ECHO. >> %stattext%

REM ----------- Vorsorglicher Protokoll-Eintrag --------------------
ECHO Sicherung des Objekts %mainpara% abgeschlossen >> %stattext%
ECHO %date% - %time% >> %stattext%
ECHO. >> %stattext%
rem ----------------------------------------------------------------
ECHO. >> %stattext%
ECHO. %0: >> %stattext%
ECHO Status-File fuer Inhalte %mainpara% geschlossen! >> %stattext%
ECHO. >> %stattext%

ECHO ==== Protokoll-Ende %0 ==== >> %stattext%
ECHO. >> %stattext%

ECHO %0 ==== Kontrolleintrag A: (3 Zeilen) ======= >> %stattext%
ECHO 1) 'Datum' - 'Zeit': %date% - %time%	>> %stattext%
ECHO 2) Variable 'datstamp': %datstamp%	>> %stattext%
ECHO 3) Variable 'stattext': %stattext% >> %stattext%
ECHO. >> %stattext%
rem ------------------------------------------------------------

REM ------------------------------------------------------------
REM WENN mit Parameter NEIN gestartet: Ueberspringe KOPIER-Befehl! 

ECHO %0 === Kontrolleintrag B1: (4 Zeilen) ====	>> %stattext%
ECHO 1) 'statfile' : %statfile% 	>> %stattext%
ECHO 2) 'datstamp': %datstamp%	>> %stattext%
ECHO. >> %stattext%
ECHO 3) Soll: 'COP_Y %stattext%_%datstamp%'	>> %stattext%
ECHO 4) ... als \LOGFiles\%mainpara%_%datstamp%.LOG >> %stattext%

IF [%statfile%]==[NEIN] GOTO endestop

ECHO %0 ==== Kontrolleintrag B2: (4 Zeilen) ==== >> %stattext%
ECHO 1) 'statfile' : %statfile% 	>> %stattext%
ECHO 2) 'datstamp': %datstamp%	>> %stattext%
ECHO. >> %stattext%
ECHO 3) Soll: 'COP_Y %stattext%_%datstamp%'		>> %stattext%
ECHO 4) ... als \LOGFiles\%mainpara%_%datstamp%.LOG 	>> %stattext%
ECHO. >> %stattext%

REM ------------------------------------------------------------------
echo %datstamp%
rem pause
COPY C:\@LCBackup\LCBUERRL.TXT C:\@LCBackup\LOGFiles\%datstamp%.LOG
REM -------------------------------------------------------------------

ECHO ---- Schluss-Eintrag: Markiere ENDE des abgelaufenen Protokolls: 
ECHO ==== "VOR ENDESTOP" Ende des Gesamt-Protokolls ==== >> %stattext%
ECHO. >> %stattext%

GOTO :endestop
:eof
REM ==== ende 'mainproc' ==========================================

:: ================================================================
:: ---- SUB: "dzformat" Datums- und Zeit-Format -- xxx ------------
:dzformat
:: ------------------------------------------------------------
:: -- BLANK-BEHAFTETE Strings als vorgesehene Bestandteile von
:: Dateinamen werden in ".." gesetzt. -------------------------
SET year=%date:~6,4%
SET mont=%date:~3,2%
SET xday="%date:~0,2%"
:: .................... 
SET hora="%time:~0,2%"
SET xmin="%time:~3,2%"
:: ................................................
:: .... PROVISORISCHES Kalender-String ............
SET dataprov=%year%-%mont%-%xday%_%hora%-%xmin%
:: Lies Werte ".."-behaftete Strings (tokens) 
:: Variable # 3, 4, 5 (xday, hora, xmin)
:: aus dem Kalender-String und entferne "." per '%%~varname'
:: ---------------------------------------------------------- 
FOR /F "tokens=3,4,5 delims=_-" %%i IN ("%dataprov%") DO (
SET days=%%~i
SET hour=%%~j
SET minu=%%~k
)
:: ---- Setze KALENDER-STRING 'Datum-Zeit' -------
SET datstamp="%year%-%mont%-%days%_%hour%-%minu%"
echo %datstamp%
rem pause
goto :eof
:eof
:: ----- ende SUB: Datums- und Zeit-Format ----------------

:: ========================================================
:endestop
ECHO ==== "NACH ENDESTOP" Ende des Gesamt-Protokolls ==== >> %stattext%
ECHO. >> %stattext%

:: SET year=
:: SET mont=
:: SET days=
:: SET hour=
:: SET minu=
:: SET statfile=
:: REM SET stattext... .... gesondert in LCBUAINO.BAT!
:: SET datstamp=

REM =====================
REM  	ENDE LCLOGTYP.BAT
REM =====================

