@ECHO OFF
CLS
SET JLORIGIN=08.02.2006 - 10:55
REM ------------------------------------------------
ECHO Lindnercom Back-Up - Version %jlorigin%
ECHO LINSTALL.BAT 
ECHO Prozedur %0 INSTALLIERT das Programmsystem ...
ECHO.
ECHO ( ... trifft zuerst einige Vorbereitungen!)
ECHO. 
CALL LCBUWAIT.BAT
REM ---------------------------------
IF EXIST *.BAK DEL *.BAK
IF EXIST *.BK! DEL *.BK!
REM ================================= 
REM	ANWENDERSPEZIFISCHE OPTIONEN:
REM 	Im Bedarfsfall anpassen oder KOMPLETT austauschen!
REM --------------------------------------------------------
REM BEGINN der User-Optionen - Bezeichnung der/des Ziel-Laufwerk(e/s)
REM WICHTIG:
REM ------ ACHTE auf Uebereinstimmung mit LCBUZIEL.BAT ! -----------
SET alfaziel=G:
SET betaziel=G:
REM --------------------------------------------------------------------
REM Parametriere das Arbeitslaufwerk C:
SET gamaziel=C:
REM --------------------------------------------------------------------
REM Benennung der ID-Files: Praefix 'LCBU' & "NATO-Substring"
REM  ... gilt vorlaeufig fuer ALLE Laufwerksbuchstaben !
SET alfafile=LCBUGOLF.TXT
SET betafile=LCBUGOLF.TXT

ECHO REM ================================ > %alfafile%
ECHO REM Ident-FILE %alfafile% >> %alfafile%
ECHO REM identifiziert das Laufwerk %alfafile:~4,1%: >> %alfafile% 
ECHO REM unter den Namen '%alfafile:~4,4%' >> %alfafile%
ECHO REM am: %date% -  %time% >> %alfafile%
ECHO REM ================================>> %alfafile%
REM
ECHO REM ================================ > %betafile%
ECHO REM Ident-FILE '%betafile%' >> %betafile%
ECHO REM identifiziert das Laufwerk %betafile:~4,1%: >> %betafile%
ECHO REM unter den Namen '%betafile:~4,4%' >> %betafile% 
ECHO REM am: %date% - %time% >> %betafile%
ECHO REM ================================ >> %betafile%
REM 
ECHO REM ================================ > LCBUERRL.TXT
ECHO REM Leeres Error-LOG 'LCBUERRL.TXT' >> LCBUERRL.TXT
ECHO REM ================================ >> LCBUERRL.TXT

REM ENDE der User-Optionen
REM -------------------------------------------

REM xxxxxxxxxxxx
REM goto endestop

REM ----------------------------------- 
REM Installiere vom Rootverzeichnis eines 
REM externen Datentraegers:
REM ----------------------------------- 
CD \
CLS
REM -------------------------------------------------------
ECHO. 
ECHO ******** Lindnercom - Back-Up-Verfahren ********
ECHO ******** INSTALLATION - Version %jlorigin% ********
ECHO. 

ECHO.
ECHO Zur INITIALISIERUNG bitte BEIDE Sicherungslaufwerke 
ECHO zum ANDOCKEN bereithalten!
ECHO.
ECHO Bitte Laufwerk %alfaziel% andocken! - Wenn bereit, weiter mit 'Return' !
PAUSE > NUL

REM **** Der nachfolgende "zeit-verbrauchende" CALL-Befehl **********
REM **** soll lediglich sicherstellen, dass externe Laufwerke *******
REM **** vor Fortgang der Prozedur zunaechst "hoch-laufen" **********
CALL LCBUWAIT.BAT
CLS
REM ----------------------------------------------------------------

REM ----------- Pruefe, ob ERSTES Sicherungslaufwerk vorhanden ------ 
IF NOT EXIST %alfaziel%\NUL GOTO LWAFEHLT

REM ---- Pruefe ob Arbeitsverzeichnis in C: vorhanden ---- 
REM ---- wenn NICHT, richte es ein! ----------------------
REM ---- wenn JA, loesche es ...
IF NOT EXIST %gamaziel%\@LCBackup\NUL GOTO EINRICHT
GOTO LOESCHEN
REM ------------------------------------------------------- 

REM ------------------------------------------------------- 
: LOESCHEN
CLS
rem ab 08.02.2006 
REM ECHO Sichere den Bestand - ohne LOG-Files:
REM -------- Schaffe Auffang-Verzeichnis, kopiere den Alt-Bestand:
REM IF NOT EXIST C:\@LCBackup\TEMP\NUL 	MD C:\@LCBACKUP\TEMP
REM COPY C:\@LCBackup\*.*	C:\@LCBACKUP\TEMP\ /Y  
REM COPY C:\@LCBackup\BKSFiles\*.* 	C:\@LCBACKUP\TEMP\  /Y

REM -------------------------------------------------------------

REM -------- LOGFILES: trotz Schreibschutz loeschen (/Q /F)
IF EXIST %gamaziel%\@LCBackup\LOGFiles\*.* DEL %gamaziel%\@LCBACKUP\LOGFiles\*.* /Q /F

REM -------- TEMP: trotz Schreibschutz loeschen (/Q /F)
IF EXIST %gamaziel%\@LCBackup\TEMP\*.* DEL %gamaziel%\@LCBACKUP\TEMP\*.* /Q /F

REM -------- BKS-Files: trotz Schreibschutz loeschen 
IF EXIST %gamaziel%\@LCBACKUP\BKSFiles\*.* DEL %gamaziel%\@LCBACKUP\BKSFiles\*.* /Q /F

REM -------- LC_Desktop: trotz Schreibschutz loeschen 
IF EXIST %gamaziel%\@LCBACKUP\LC_Desktop\*.* DEL %gamaziel%\@LCBACKUP\LC_Desktop\*.* /Q /F

REM -------- Batch- und Textfiles: Schreibschutz entfernen, LOESCHEN!
IF EXIST %gamaziel%\@LCBACKUP\*.* ATTRIB %gamaziel%\@LCBACKUP\*.* -H -R
IF EXIST %gamaziel%\@LCBACKUP\*.* DEL %gamaziel%\@LCBACKUP\*.* /q /f 

REM -------- LC*.* & *.DOC LOESCHEN!
rem IF EXIST %gamaziel%\@LCBACKUP\LC*.* DEL %gamaziel%\@LCBACKUP\LC*.* /Q /F 
rem IF EXIST %gamaziel%\@LCBACKUP\*.DOC DEL %gamaziel%\@LCBACKUP\*.DOC /Q /F 

REM -------- Entferne Direktories LOGFiles und BKSFiles
RD %gamaziel%\@LCBACKUP\BKSFiles
RD %gamaziel%\@LCBACKUP\LOGFiles
RD %gamaziel%\@LCBACKUP\LC_Desktop
RD %gamaziel%\@LCBACKUP\TEMP

GOTO EINRICHT
REM ----------------------------------------------------------

REM ---- Richte Arbeitsverzeichnis ein  ---------------------- 
: EINRICHT
REM ---- Nach LOESCHEN besteht das Haupt-Arbeitsverzeichnis noch ! 
REM ---- falls NICHT, NEU einrichten!

IF NOT EXIST %gamaziel%\@LCBACKUP\NUL MD %gamaziel%\@LCBACKUP

MD %gamaziel%\@LCBACKUP\BKSFiles
MD %gamaziel%\@LCBACKUP\LOGFiles
MD %gamaziel%\@LCBACKUP\LC_Desktop

REM ---- Kopiere Arbeits-Dateien ------------ 
REM ---- LCBU* LCDEL*; LCDR*; LCLOG* --------
rem ---- NICHT diese INSTALL-Datei ! -------------
 
COPY \@LCBACKUP\LCB*.* 		%gamaziel%\@LCBackup
COPY \@LCBACKUP\LCD*.* 		%gamaziel%\@LCBackup
COPY \@LCBACKUP\LCL*.* 		%gamaziel%\@LCBackup
COPY \@LCBACKUP\XX.BAT 		%gamaziel%\@LCBackup

REM ---- COPY Bedien-Hinweise .....
COPY \@LCBACKUP\BED*.PDF 	%gamaziel%\@LCBackup
COPY \@LCBACKUP\ERW*.PDF 	%gamaziel%\@LCBackup
COPY \@LCBACKUP\NOM*.PDF 	%gamaziel%\@LCBackup

REM ----  Kopiere LINKS -------------------------------------
COPY \@LCBACKUP\*.LNK 		%gamaziel%\@LCBackup

REM ----  Kopiere BKS-Files ---------------------------------

COPY \@LCBACKUP\BKSFiles\*.* 	%gamaziel%\@LCBACKUP\BKSFiles

REM ---- Verstecke ID-Files ---------------------------------

ATTRIB %gamaziel%\@LCBackup\%alfafile%	+h +r
ATTRIB %gamaziel%\@LCBackup\%betafile%	+h +r

REM ---- Entferne Attribute ERROR-LOGFILE:
ATTRIB %gamaziel%\@LCBackup\LCBUERRL.TXT -r

REM ---- Kopiere LINKS, - OHNE das Link 'INSTALLATION' ---------------- 
COPY \@LCBACKUP\LC_Desktop\@*.* 	%gamaziel%\@LCBACKUP\LC_Desktop
COPY \@LCBACKUP\LC_Desktop\C*.* 	%gamaziel%\@LCBACKUP\LC_Desktop
COPY \@LCBACKUP\LC_Desktop\S*.* 	%gamaziel%\@LCBACKUP\LC_Desktop
REM ------------------------------------------------------------------- 
GOTO weiteraa
REM ---------------------------------------------------------------

REM ---- Teste CODIERUNG des ERSTEN Sicherungslaufwerkes --------
: weiteraa
IF NOT EXIST %alfaziel%\%alfafile% GOTO zielavor
ATTRIB %alfaziel%\LC*.TXT 	-h -r
DEL %alfaziel%\LC*.TXT 	-q -f

GOTO weiterbb
REM ----------------------------------------------------------------

REM ---- Codiere ERSTES Sicherungslaufwerk ------------
REM ---- zuvor "Altlasten" an ID-Files bereinigen ----------
: zielavor

COPY \@LCBackup\%alfafile%	%alfaziel%\
ATTRIB %alfaziel%\%alfafile% +r +h 
GOTO weiterbb
REM -------------------------------------------------------

REM ======== Docke ZWEITES Sicherungslaufwerk an ========== 
: weiterbb
CLS
ECHO.
ECHO Bitte Laufwerk %betaziel% andocken!
ECHO.
ECHO Wenn bereit, weiter mit 'Return' !
PAUSE > NUL

REM **** Der nachfolgende "zeit-verbrauchende" DIR-Befehl **********
REM **** soll lediglich sicherstellen, dass externe Laufwerke ***********
REM **** vor Fortgang der Prozedur zunaechst "hoch-laufen" **********
REM
CALL LCBUWAIT.BAT
CLS

IF NOT EXIST %betaziel%\NUL GOTO LWBFEHLT

REM ---- Teste Codierung des zweiten Sicherungslaufwerkes -------- 
IF NOT EXIST %betaziel%\%betafile% GOTO zielbvor
ATTRIB %betaziel%\LC*.TXT -h -r
ERASE %betaziel%\LC*.TXT 
REM -------------------------------------------------------------- 

REM ---- Codiere ZWEITES Sicherungslaufwerk -----------
REM ---- zuvor "Altlasten" an ID-Files bereinigen ---------- 
: zielbvor
COPY \@LCBackup\%betafile%	%betaziel%
ATTRIB %betaziel%\%betafile% +r +h 
GOTO emeldung
REM ------------------------------------------------------------ 

REM ---- Fehler: Erstes Sich.- Laufwerk NICHT vorhanden -------- 
: LWAFEHLT
ECHO Laufwerk %alfaziel% ist nicht vorhanden!
ECHO Bitte Fehler beheben, danach Prozedur wiederholen!
ECHO.
ECHO Die Prozedur %0 wird abgebrochen!
ECHO.
ECHO Bitte weiter mit 'Return'
PAUSE > NUL
GOTO endestop
REM ------------------------------------------------------------ 

REM ---- Fehler: Zweites Sich.-Laufwerk nicht vorhanden -------- 
: LWBFEHLT
ECHO Laufwerk %betaziel% ist nicht vorhanden!
ECHO Bitte Fehler beheben, danach Prozedur wiederholen!
ECHO.
ECHO Die Prozedur %0 wird abgebrochen!
ECHO Bitte weiter mit 'Return'
PAUSE > NUL
GOTO endestop
REM ------------------------------------------------- 

REM ---- Erfolgsmeldung ------------------------- 
: emeldung
CLS
ECHO. 
ECHO **********************************************
ECHO  lindnercom Back-Up-Programm
ECHO  Version %jlorigin% 
ECHO. 
ECHO  Die Installation ist abgeschlossen ! 
ECHO. 
ECHO  (Prozedur %0 wurde fehlerfrei beendet.)
ECHO.
ECHO ********************************************** 
ECHO  HINWEIS an SYSTEMBETREUER: 
ECHO.
ECHO  BITTE anschliessend das 
ECHO  Bedien-VERZEICHNIS [LC_Desktop] 
ECHO  - zur Erleichterung der Anwendung -
ECHO  aus dem Arbeitsverzeichnis 'C:\@LCBackup' 
ECHO  AUCH auf dem DESKTOP anordnen!
ECHO.
ECHO  (Der EINFACHHEIT halber: KOPIEREN !
ECHO   Bei Installation von einer CD steht
ECHO   auch dieser Ordner unter Schreibschutz!)
ECHO **********************************************
ECHO. 
ECHO Bitte weiter mit 'Return'
PAUSE > NUL
%gamaziel%
CD \@LCBackup
REM -----------------------------------------
IF EXIST *.BAK DEL *.BAK
IF EXIST *.BK! DEL *.BK!
REM ------ Abschluss-Routine ----------------
: endestop
SET alfaziel=
SET betaziel=
SET gamaziel=
SET alfafile=
SET betafile=
SET jlorigin=
REM ================== 
REM Ende LINSTALL.BAT
REM ==================
